Page MenuHomeFreeBSD

Add function to force an nvlist into the error state
ClosedPublic

Authored by rstone on Feb 17 2015, 5:44 PM.

Details

Summary

Add an nvlist_set_error() function that can be used to force an
nvlist into the error state. This is useful both for writing
tests and for writing APIs that use nvlists internally.

Diff Detail

Repository
rS FreeBSD src repository
Lint
No Linters Available
Unit
No Unit Test Coverage

Event Timeline

rstone updated this revision to Diff 3821.Feb 17 2015, 5:44 PM
rstone retitled this revision from to Add function to force an nvlist into the error state.
rstone edited the test plan for this revision. (Show Details)
rstone added a reviewer: jfv.
rstone updated this object.
rstone added subscribers: pjd, Unknown Object (MLST).
jfv accepted this revision.Feb 18 2015, 10:25 PM
jfv edited edge metadata.
This revision is now accepted and ready to land.Feb 18 2015, 10:25 PM
pjd added a comment.Feb 19 2015, 8:44 AM

Other that the minor nit above, it looks good.

lib/libnv/nvlist.c
144

I'd assert that error is != 0.

rstone closed this revision.Feb 20 2015, 1:22 AM